import remote from "@gidc-ebank-parts-h5-standard/common/src/services/remote";
export default {
  // 查询签约
  entBillAcSignQry(payload) {
    return remote.post('/entBillAcSignQry.do', { payload });
  },
  // 制单
  entaddPaperInfo(payload) {
    return remote.post('/entTicketInfoAdd.do', { payload });
  },
  // 批量下载
  entAddBillDownload(payload) {
    return remote.postBlob('/entAddBillDownload.do', { payload });
  },
  // 制单
  entaddPaperInfoConf(payload) {
    return remote.postConfirm('/entTicketInfoAdd.do', { payload });
  },
  // 加挂列表查询
  entQueryBindAcct(payload) {
    return remote.post('/entPayerAcListQry.do', { payload });
  },
  // 查询待出票等级票据
  qryStayedTicketReg(payload) {
    return remote.post('/entQryStayedTicketReg.do', { payload });
  },
  //提示承兑申请查询
  qryInNoticeAcceptance(payload) {
    return remote.post('/entQryInNoticeAcceptance.do', { payload });
  },
  // 承诺申请
  setEntNoticeAccept(payload) {
    return remote.post('/entNoticeAccept.do', { payload });
  },
  setEntNoticeAcceptpostCofirm(payload) {
    return remote.postConfirm('/entNoticeAccept.do', { payload });
  },
  // 提示承兑撤销-查询
  getEntQryUndoNoticeAcceptancePaper(payload) {
    return remote.post('/entQryUndoNoticeAcceptancePaper.do', {
      payload,
    });
  },
  // 提示承兑撤销
  entNoticeAcceptUndo(payload) {
    return remote.post('/entNoticeAcceptUndo.do', { payload });
  },
  entNoticeAcceptUndoCofirm(payload) {
    return remote.postConfirm('/entNoticeAcceptUndo.do', { payload });
  },
  // 承兑签收-查询
  getEntQryAccepReceive(payload) {
    return remote.post('/entQryAccepReceive.do', { payload });
  },
  // 承兑签收
  entAcceptSign(payload) {
    return remote.post('/entAcceptSign.do', { payload });
  },
  entAcceptSignCofirm(payload) {
    return remote.postConfirm('/entAcceptSign.do', { payload });
  },
  // 提示收票-查询
  getEntQryInNoticeTicketPaper(payload) {
    return remote.post('/entQryInNoticeTicketPaper.do', { payload });
  },
  // 提示收票
  entNoticeReceiveTicket(payload) {
    return remote.post('/entNoticeReceiveTicket.do', { payload });
  },
  entNoticeReceiveTicketCofirm(payload) {
    return remote.postConfirm('/entNoticeReceiveTicket.do', { payload });
  },
  // 提示收票撤销-查询
  getEntQryUndoNoticeTicketPaper(payload) {
    return remote.post('/entQryUndoNoticeTicketPaper.do', { payload });
  },
  // 提示收票撤销
  entNoticeReceiveTicketUndo(payload) {
    return remote.post('/entNoticeReceiveTicketUndo.do', { payload });
  },
  entNoticeReceiveTicketUndoCofirm(payload) {
    return remote.postConfirm('/entNoticeReceiveTicketUndo.do', {
      payload,
    });
  },
  // 收票签收-查询
  getWaitTicketQuery(payload) {
    return remote.post('/entWaitTicketQuery.do', { payload });
  },
  // 收票签收
  getTicketSign(payload) {
    return remote.post('/entTicketSign.do', { payload });
  },
  // 出票撤销信息-查询
  getentQryUndoTicketPaper(payload) {
    return remote.post('/entQryUndoTicketPaper.do', { payload });
  },
  // 出票撤销
  getentApplyTicketUndo(payload) {
    return remote.post('/entApplyTicketUndo.do', { payload });
  },
  getentApplyTicketUndoCofirm(payload) {
    return remote.postConfirm('/entApplyTicketUndo.do', { payload });
  },
  // 票据信息删除
  delTicketInfo(payload) {
    return remote.post('/entDelTicketInfo.do', { payload });
  },
  // 票据信息修改
  updateTicketInfo(payload) {
    return remote.post('/entUpdateTicketInfo.do', { payload });
  },
  updateTicketInfoCof(payload) {
    return remote.postConfirm('/entUpdateTicketInfo.do', { payload });
  },
  // 出票登记
  drawTicketRegister(payload) {
    return remote.post('/entDrawTicketRegister.do', { payload });
  },
  //
  drawTicketRegisterCofirm(payload) {
    return remote.postConfirm('/entDrawTicketRegister.do', { payload });
  },
  // 被追索人查询
  entRecoursePeopleQuery(payload) {
    return remote.post('/entRecoursePeopleQuery.do', { payload });
  },
  // 常用收款人查询
  getentProductEdraftPayeeQuery(payload) {
    return remote.post('/entProductEdraftPayeeQuery.do', { payload });
  },

  // 常用收款人删除
  getentProductEdraftPayeeDel(payload) {
    return remote.post('/entProductEdraftPayeeDel.do', { payload });
  },
  // 常用收款人修改
  getentProductEdraftPayeeUpdate(payload) {
    return remote.post('/entProductEdraftPayeeUpdate.do', { payload });
  },
  // 常用收款人增加接口
  getentProductEdraftPayeeAdd(payload) {
    return remote.post('/entProductEdraftPayeeAdd.do', { payload });
  },
  // 卡bin校验
  entCardBinIdentify(payload) {
    return remote.post('/entCardBinIdentify.do', { payload });
  },
  // 照票查询接口
  getentAcceptanceBillQuery(payload) {
    return remote.post('/entAcceptanceBillQuery.do', { payload });
  },
  // 照票
  getentStartCheck(payload) {
    return remote.post('/entStartCheck.do', { payload });
  },
  // 照票
  getentStartCheckCof(payload) {
    return remote.postConfirm('/entStartCheck.do', { payload });
  },
  //保证申请查询
  getentEnsureListQry(payload) {
    return remote.post('/entEnsureListQry.do', { payload });
  },
  //保证申请
  getentDraftTicketGuarantee(payload) {
    return remote.post('/entDraftTicketGuarantee.do', { payload });
  },
  getentDraftTicketGuaranteeCof(payload) {
    return remote.postConfirm('/entDraftTicketGuarantee.do', { payload });
  },
  //保证撤销查询
  getentEnsureApplyListQry(payload) {
    return remote.post('/entEnsureApplyListQry.do', { payload });
  },
  //保证撤销
  getentEnsureCancelCof(payload) {
    return remote.postConfirm('/entEnsureCancel.do', { payload });
  },
  //保证撤销
  getentEnsureCancel(payload) {
    return remote.post('/entEnsureCancel.do', { payload });
  },
  //保证签收查询
  getentEnsureApplyList(payload) {
    return remote.post('/entEnsureApplyList.do', { payload });
  },
  //保证签收
  getentEnsureSign(payload) {
    return remote.post('/entEnsureSign.do', { payload });
  },
  getentEnsureSignCof(payload) {
    return remote.postConfirm('/entEnsureSign.do', { payload });
  },
  //批量制单
  entAnalysisExcel(payload) {
    return remote.postForm('/entAnalysisExcel.do', { payload });
  },
  //批量制单
  // entMultAddBill(payload) {
  //   return remote.post('/entMultAddBill.do', { payload });
  // },
  ticketInfoAddBatchConf(payload) {
    return remote.postConfirm('/entTicketInfoAddBatch.do', { payload });
  },
  ticketInfoAddBatch(payload) {
    return remote.post('/entTicketInfoAddBatch.do', { payload });
  },
  /**
   * @description 票据信息查询  背面
   * @param {*} payload
   */
  entDraftQryTicketBackInfo(payload) {
    return remote.post('/entDraftQryTicketBackInfo.do', {
      payload,
    });
  },
  // 账户签约信息
  entCifSignInfoQuery(payload) {
    return remote.post('/entCifSignInfoQuery.do', { payload });
  },
  // 账户签约
  entDraftAcNoSign(payload) {
    return remote.post('/entDraftAcNoSign.do', { payload });
  },
  // 账户签约
  entDraftAcNoSignConf(payload) {
    return remote.postConfirm('/entDraftAcNoSign.do', { payload });
  },
  // 账户解约
  entDraftAcNoCancelSignConf(payload) {
    return remote.postConfirm('/entDraftAcNoCancelSign.do', { payload });
  },
  // 账户解约
  entDraftAcNoCancelSign(payload) {
    return remote.post('/entDraftAcNoCancelSign.do', { payload });
  },
  /**
   * @description 票据信息查询  正面
   * @param {*} payload
   */
  entDraftQryTicketPositiveInfo(payload) {
    return remote.post('/entDraftQryTicketPositiveInfo.do', {
      payload,
    });
  },
  // 同意清偿信息
  getPayOffInfo(payload) {
    return remote.post('payOffInfo.do', { payload });
  },
  // 出票申请查询
  ticketQryStayed(payload) {
    return remote.post('/entDrawTicketQryStayed.do', { payload });
  },
  // 出票申请
  drawTicketApplyConf(payload) {
    return remote.postConfirm('/entDrawTicketApply.do', { payload });
  },
  drawTicketApply(payload) {
    return remote.post('/entDrawTicketApply.do', { payload });
  },
  // 修改票据信息
  ticketInfoUpdateConf(payload) {
    return remote.postConfirm('/entTicketInfoUpdate.do', { payload });
  },
  ticketInfoUpdate(payload) {
    return remote.post('/entTicketInfoUpdate.do', { payload });
  },
  // 票据信息删除
  ticketInfoDel(payload) {
    return remote.post('/entTicketInfoDel.do', { payload });
  },
  // 票据信息新增
  ticketInfoAddConf(payload) {
    return remote.postConfirm('/entTicketInfoAdd.do', { payload });
  },
  ticketInfoAdd(payload) {
    return remote.post('/entTicketInfoAdd.do', { payload });
  },
  //提示承兑查询
  acceptQryNotice(payload) {
    return remote.post('/entAcceptQryNotice.do', { payload });
  },
  //提示承兑
  noticeAcceptApplyConf(payload) {
    return remote.postConfirm('/entNoticeAcceptApply.do', { payload });
  },
  noticeAcceptApply(payload) {
    return remote.post('/entNoticeAcceptApply.do', { payload });
  },
  //可撤消提示承兑票据查询
  acceptQryAncePaper(payload) {
    return remote.post('/entAcceptQryAncePaper.do', { payload });
  },
  //撤消提示承兑票据
  noticeAcceptUndoConf(payload) {
    return remote.postConfirm('/entNoticeAcceptUndo.do', { payload });
  },
  noticeAcceptUndo(payload) {
    return remote.post('/entNoticeAcceptUndo.do', { payload });
  },
  //查询待提示承兑签收票据
  acceptQryReceive(payload) {
    return remote.post('/entAcceptQryReceive.do', { payload });
  },
  //提示承兑签收
  noticeAcceptSignConf(payload) {
    return remote.postConfirm('/entNoticeAcceptSign.do', { payload });
  },
  noticeAcceptSign(payload) {
    return remote.post('/entNoticeAcceptSign.do', { payload });
  },
  //查询可提示收票票据
  noticeTicketQryInPaper(payload) {
    return remote.post('/entNoticeTicketQryInPaper.do', { payload });
  },
  //提示收票
  noticeReceiveTicketConf(payload) {
    return remote.postConfirm('/entNoticeReceiveTicket.do', { payload });
  },
  noticeReceiveTicket(payload) {
    return remote.post('/entNoticeReceiveTicket.do', { payload });
  },
  //查询可撤消提示收票票据
  noticeTicketQryUndoPaper(payload) {
    return remote.post('/entNoticeTicketQryUndoPaper.do', { payload });
  },
  //撤消提示收票
  noticeReceiveTicketUndoConf(payload) {
    return remote.postConfirm('/entNoticeReceiveTicketUndo.do', { payload });
  },
  noticeReceiveTicketUndo(payload) {
    return remote.post('/entNoticeReceiveTicketUndo.do', { payload });
  },
  //查询提示收票待签收票据
  noticeTicketQryWaitPaper(payload) {
    return remote.post('/entNoticeTicketQryWaitPaper.do', { payload });
  },
  //提示收票签收
  noticeReceiveTicketSignConf(payload) {
    return remote.postConfirm('/entNoticeReceiveTicketSign.do', { payload });
  },
  noticeReceiveTicketSign(payload) {
    return remote.post('/entNoticeReceiveTicketSign.do', { payload });
  },
  //查询出票登记已确认票据
  drawTicketQryConfirmed(payload) {
    return remote.post('/entDrawTicketQryConfirmed.do', { payload });
  },
  //出票申请撤销
  drawTicketRevokeConf(payload) {
    return remote.postConfirm('/entDrawTicketRevoke.do', { payload });
  },
  drawTicketRevoke(payload) {
    return remote.post('/entDrawTicketRevoke.do', { payload });
  },
  //保证申请查询
  ensureQryApply(payload) {
    return remote.post('/entEnsureQryApply.do', { payload });
  },
  //保证申请
  ensureApplyConf(payload) {
    return remote.postConfirm('/entEnsureApply.do', { payload });
  },
  ensureApply(payload) {
    return remote.post('/entEnsureApply.do', { payload });
  },
  //保证撤销查询
  ensureQryCancel(payload) {
    return remote.post('/entEnsureQryCancel.do', { payload });
  },
  //保证撤销
  ensureCancelConf(payload) {
    return remote.postConfirm('/entEnsureCancel.do', { payload });
  },
  ensureCancel(payload) {
    return remote.post('/entEnsureCancel.do', { payload });
  },
  //保证签收查询
  ensureQrySign(payload) {
    return remote.post('/entEnsureQrySign.do', { payload });
  },
  //保证签收
  ensureSignConf(payload) {
    return remote.postConfirm('/entEnsureSign.do', { payload });
  },
  ensureSign(payload) {
    return remote.post('/entEnsureSign.do', { payload });
  },
};
